Bug 214195 - multimedia/miro: fails to build with ffmpeg 3.x
Summary: multimedia/miro: fails to build with ffmpeg 3.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-11-04 05:22 UTC by Jan Beich
Modified: 2016-11-18 23:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-04 05:22:17 UTC
linux/miro-segmenter.c:81:92: error: use of undeclared identifier 'CODEC_ID_MP3'; did you mean 'AV_CODEC_ID_MP3'?
            if ((input_codec_context->block_align == 1 && input_codec_context->codec_id == CODEC_ID_MP3) || input_codec_context->codec_id == CODEC_ID_AC3) {
                                                                                           ^~~~~~~~~~~~
                                                                                           AV_CODEC_ID_MP3
/usr/local/include/libavcodec/avcodec.h:515:5: note: 'AV_CODEC_ID_MP3' declared here
    AV_CODEC_ID_MP3, ///< preferred ID for decoding MPEG audio layer 1, 2 or 3
    ^
linux/miro-segmenter.c:81:142: error: use of undeclared identifier 'CODEC_ID_AC3'; did you mean 'AV_CODEC_ID_AC3'?
            if ((input_codec_context->block_align == 1 && input_codec_context->codec_id == CODEC_ID_MP3) || input_codec_context->codec_id == CODEC_ID_AC3) {
                                                                                                                                             ^~~~~~~~~~~~
                                                                                                                                             AV_CODEC_ID_AC3
/usr/local/include/libavcodec/avcodec.h:517:5: note: 'AV_CODEC_ID_AC3' declared here
    AV_CODEC_ID_AC3,
    ^

http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/miro-6.0_7.log
Comment 1 commit-hook freebsd_committer 2016-11-18 23:39:51 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 18 23:39:39 UTC 2016
New revision: 426348
URL: https://svnweb.freebsd.org/changeset/ports/426348

Log:
  multimedia/miro: unbreak build with ffmpeg 3.x

  linux/miro-segmenter.c:81:92: error: use of
        undeclared identifier 'CODEC_ID_MP3'; did you mean 'AV_CODEC_ID_MP3'?
    ...== 1 && input_codec_context->codec_id == CODEC_ID_MP3) || input_codec_context->codec_id == CO...
                                                ^~~~~~~~~~~~
                                                AV_CODEC_ID_MP3
  /usr/local/include/libavcodec/avcodec.h:517:5: note: 'AV_CODEC_ID_MP3' declared here
      AV_CODEC_ID_MP3, ///< preferred ID for decoding MPEG audio layer 1, 2 or 3
      ^
  linux/miro-segmenter.c:81:142: error: use of
        undeclared identifier 'CODEC_ID_AC3'; did you mean 'AV_CODEC_ID_AC3'?
    ...== CODEC_ID_MP3) || input_codec_context->codec_id == CODEC_ID_AC3) {
                                                            ^~~~~~~~~~~~
                                                            AV_CODEC_ID_AC3
  /usr/local/include/libavcodec/avcodec.h:519:5: note: 'AV_CODEC_ID_AC3' declared here
      AV_CODEC_ID_AC3,
      ^

  PR:		214195
  Approved by:	portmgr blanket

Changes:
  head/multimedia/miro/files/patch-linux_miro-segmenter.c